Bug 73070 - UI: "Insert shapes" does not belong under "Properties"
Summary: UI: "Insert shapes" does not belong under "Properties"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium enhancement
Assignee: Rob Snelders
QA Contact:
URL:
Whiteboard: BSA target:4.3.0 target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-27 14:25 UTC by Tin Man
Modified: 2016-10-25 19:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tin Man 2013-12-27 14:25:14 UTC
In the Sidebar under "Properties", there is an "Insert shapes" section.
That's inconsistent with the purpose of the Properties panel (which should show properties related to the current selection) as well as with other modules -- this section doesn't appear in any other modules, despite the fact that they have the exact same drawing tools.

For the sake of consistency, this section should be removed.
Operating System: All
Version: 4.3.0.0.alpha0+ Master
Comment 1 Cor Nouws 2013-12-27 21:09:21 UTC
Indeed not consistent. But with enough space, and if people use the side panel.. one could use that space for the toolbar that then can be hidden???
:)
Comment 2 Tin Man 2013-12-27 23:44:06 UTC
(In reply to comment #1)
> Indeed not consistent. But with enough space, and if people use the side
> panel.. one could use that space for the toolbar that then can be hidden???
> :)

In general, it's best practice to put things where they logically belong. Otherwise, inconsistency slowly creeps in and we end up with a mess. This is already apparent in e.g. the current command organization, which is one of the most frequent complaints about LibreOffice. Some things are in the menu bar, some in the toolbar, some in the panel, some in the status bar, some elsewhere, and many in several of those. There are categories like "Edit" or "Tools" in the menu bar, or "Standard" for a toolbar, where anything could belong.

So... Let's not dig ourselves further into this mess, but instead let's try to solve it. :)
Comment 3 Cor Nouws 2013-12-27 23:55:29 UTC
(In reply to comment #2)

> So... Let's not dig ourselves further into this mess, but instead let's try
> to solve it. :)

Convincing argument :)
Setting version to 4.1.0 release - first in which Side panel is integrated (as experimental)
Comment 4 Rob Snelders 2014-02-03 11:36:39 UTC
submitted a patch for this https://gerrit.libreoffice.org/7804
Comment 5 Commit Notification 2014-02-05 21:01:33 UTC
Rob Snelders committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7cd90162f1c4a1d763e40c8f9972fd59e219ccd1

fdo#73070 - UI: "Insert shapes" does not belong under "Properties"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Ljiljan 2014-08-28 06:48:38 UTC
The original solution was space-saving. Removing Shapes from Sidebar, from my point of view, was not neccessary. It didn't create any problem and helped me to remove one unneccessary toolbar from my screen.  

After all, you could rename "Properties" to "Shapes & properties" and then you have consistent solution!
Comment 7 Commit Notification 2016-04-06 07:27:25 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b091d1c745d2895b0634983488bd379d357c3342

tdf#73070 follow-up: Remove also the InsertPropertyPanel code.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.